View Issue Details

IDProjectCategoryView StatusLast Update
00312082.x IDE BugsKeybindingsPublic2019-08-29 16:27
ReporterScott DunbarAssigned ToFritz 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031208: Keybindings; [Mac IDE] Command + Y does not redo
DescriptionIssue:
 Throughout all areas of the IDE, after doing an undo action with Cmd+ Z, using Cmd+Y to redo does not function. You are required to use Cmd+Shift+Z or Ctrl+Y.

This keybinding did work in 2.2.2.


Expected
 Command+Y should function
Steps To Reproduce1. Open GMS2 on Mac
2. Open a project
3. Open any editor
4. Make some changes
5. Press Command + Z (undo action occurs succesfully)
6. Press Command + Y
7. observe that redo action does not occur
8. Press Cmd+Shift+Z or Ctrl+Y and observe the redo action happens
Additional InformationNote: We have user reports of Command + Z not working, we suspect that duplicate entries in the keybindings list is causing issues and users may see one issue, the other, or potentially neither. Internally i can only reproduce Command + Y not functioning.
TagsIDE
2.x IDE Found In2.2.3.437
2.x Runtime Found In2.2.3.344
2.x IDE Verified In2.2.4.442
2.x Runtime Verified In2.2.4.349

Activities

Dan

2019-08-23 17:27

Adminstrator   ~0064637

IDE 441+

Scott Dunbar

2019-08-26 10:36

Adminstrator   ~0064648

Issue still occurs in 2.2.4.441

Open room editor
Move an object
Command + z (works correctly)
Command + y (does not work)

Scott Dunbar

2019-08-27 16:31

Adminstrator   ~0064670

Verified fixed